%define version 0.1.5
%define release 1
%define name smeserver-minilist


Summary: minilist provide a panel to manage simple mailing lists
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Epoch: 9
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0

%description
Provides group like mail fonctionnality, but lets you enter arbitrary email addresses

%changelog
* Fri Oct 04 2019 Daniel Berteaud <daniel@firewall-services.com> 0.1.5-1
- new package built with tito

* Fri Oct 4 2019 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1
- Forbid uppercase in list name as qmail doesn't support it

* Tue Jan 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1
- Also update lists in email-update and bootstrap-console-save

* Wed Jan 8 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1
- Add support for pseudonyms

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- New branch for SME9

* Thu Nov 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- Add template for qpsmtpd goodrcptto

* Thu Nov 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

